Security Enhanced Linux Reference Policy

# Layer: system

## Module: unconfined

Interfaces

### Description:

The unconfined domain.

### Interfaces:

permit_in_unconfined_r( domain )

##### Summary

Allow the specified domain to be in the unconfined role

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to permit in unconfined_r

unconfined_alias_domain( domain )

##### Summary

Add an alias type to the unconfined domain. (Deprecated)

##### Description

Add an alias type to the unconfined domain. (Deprecated)

This is added to support targeted policy. Its use should be limited. It has no effect on the strict policy.

##### Parameters

Parameter: | Description:
--- | ---
domain | New alias of the unconfined domain.

unconfined_create_keys( domain )

##### Summary

Create keys for the unconfined domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_dbus_chat( domain )

##### Summary

Send and receive messages from unconfined_t over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_dbus_connect( domain )

##### Summary

Connect to the the unconfined DBUS for service (acquire_svc).

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_dbus_send( domain )

##### Summary

Send messages to the unconfined domain over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_domain( domain )

##### Summary

Make the specified domain unconfined and audit executable heap usage.

##### Description

Make the specified domain unconfined and audit executable heap usage. With exception of memory protections, usage of this interface will result in the level of access the domain has is like SELinux was not being used.

Only completely trusted domains should use this interface.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to make unconfined.

unconfined_domain_noaudit( domain )

##### Summary

Make the specified domain unconfined.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to make unconfined.

unconfined_domtrans( domain )

##### Summary

Transition to the unconfined domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

unconfined_domtrans_to( domain , entry_file )

##### Summary

Allow unconfined to execute the specified program in the specified domain.

##### Description

Allow unconfined to execute the specified program in the specified domain.

This is a interface to support third party modules and its use is not allowed in upstream reference policy.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to execute in.
entry_file | Domain entry point file.

unconfined_dontaudit_read_pipes( domain )

##### Summary

Do not audit attempts to read unconfined domain unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

unconfined_dontaudit_rw_pipes( domain )

##### Summary

Do not audit attempts to read and write unconfined domain unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

unconfined_dontaudit_rw_stream( domain )

##### Summary

Do not audit attempts to read and write unconfined domain stream.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

unconfined_dontaudit_rw_tcp_sockets( domain )

##### Summary

Do not audit attempts to read or write unconfined domain tcp sockets.

##### Description

Do not audit attempts to read or write unconfined domain tcp sockets.

This interface was added due to a broken symptom in ldconfig.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

unconfined_execmem_alias_program( domain )

##### Summary

Add an alias type to the unconfined execmem program file type. (Deprecated)

##### Description

Add an alias type to the unconfined execmem program file type. (Deprecated)

This is added to support targeted policy. Its use should be limited. It has no effect on the strict policy.

##### Parameters

Parameter: | Description:
--- | ---
domain | New alias of the unconfined execmem program type.

unconfined_read_pipes( domain )

##### Summary

Read unconfined domain unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_run( domain , role )

##### Summary

Execute specified programs in the unconfined domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | The role to allow the unconfined domain.

unconfined_run_to( domain , entry_file )

##### Summary

Allow unconfined to execute the specified program in the specified domain. Allow the specified domain the unconfined role and use of unconfined user terminals.

##### Description

Allow unconfined to execute the specified program in the specified domain. Allow the specified domain the unconfined role and use of unconfined user terminals.

This is a interface to support third party modules and its use is not allowed in upstream reference policy.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to execute in.
entry_file | Domain entry point file.

unconfined_rw_pipes( domain )

##### Summary

Read and write unconfined domain unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_shell_domtrans( domain )

##### Summary

Transition to the unconfined domain by executing a shell.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

unconfined_sigchld( domain )

##### Summary

Send a SIGCHLD signal to the unconfined domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_signal( domain )

##### Summary

Send generic signals to the unconfined domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_signull( domain )

##### Summary

Send a SIGNULL signal to the unconfined domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_stream_connect( domain )

##### Summary

Connect to the unconfined domain using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

unconfined_use_fds( domain )

##### Summary

Inherit file descriptors from the unconfined domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return